<?php
// +-----------------------------------------------------------------------+
// | User Tags  - a plugin for Piwigo                                      |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
// | MA 02110-1301 USA.                                                    |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) {
  die('Hacking attempt!');
}

if (!empty($_GET['action']) && ($_GET['action']=='add') 
    && !empty($_POST['tags']) && $me->getPermission('add')) {
  include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
  
  $tag_ids = get_fckb_tag_ids($_POST['tags']);
  set_tags($tag_ids, $_POST['image_id']);

  if (isset($_SERVER['HTTP_X_REQUESTED_WITH'])) {
    header("Content-Type: application/json");

    $message['info'] = l10n('Tags updated');
    echo json_encode($message);
    exit();
  } else {
    redirect(get_absolute_root_url().$_POST['referer']);
  }
} elseif (!empty($_GET['action']) && $_GET['action']=='get' && $me->getPermission('add')) {
  include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
      
  $query = '
SELECT
    id AS tag_id,
    name AS tag_name
  FROM '.TAGS_TABLE.'
;';
  header("Content-Type: application/json");
  echo json_encode(get_fckb_taglist($query));
  exit();
}
?>